# Contributing to AutoCommitt

First off, thanks for taking the time to contribute! We're excited to welcome you to the AutoCommitt community.

## Table of Contents
- [Code of Conduct](#code-of-conduct)
- [Getting Started](#getting-started)
- [Development Process](#development-process)
- [Pull Request Process](#pull-request-process)
- [Style Guidelines](#style-guidelines)
- [Reporting Bugs](#reporting-bugs)

## Code of Conduct
This project and everyone participating in it are governed by our Code of Conduct. By participating, you are expected to uphold this code. Please report unacceptable behavior to project maintainers.

## Getting Started
1. Fork the repository
2. Clone your fork:
   ```bash
   git clone https://github.com/your-username/AutoCommitt.git
   ```
3. Create a virtual environment:
   ```bash
   python -m venv venv
   source venv/bin/activate  # On Windows: venv\Scripts\activate
   ```
4. Install dependencies:
   ```bash
   pip install -r requirements.txt
   ```

## Development Process
1. Create a new branch for your feature/fix:
   ```bash
   git checkout -b feature/your-feature-name
   ```
2. Make your changes and test thoroughly
3. Update documentation if necessary
4. Run tests:
   ```bash
   python -m pytest
   ```

## Pull Request Process
1. Update the README.md with details of changes if needed
2. Follow the PR template when creating your pull request
3. Ensure all tests pass
4. Get at least one code review from maintainers
5. Your PR will be merged once approved

## Style Guidelines
Use `black` for linting the code.

### Commit Messages
  ```
  use autocommitt itself :)
  ```

## Reporting Bugs
When reporting bugs, please include:
- Your operating system and Python version
- Detailed steps to reproduce the bug
- Expected behavior vs actual behavior
- Any error messages or logs

Create an issue using our bug report template.

## Feature Requests
We love suggestions! Please:
1. Check existing issues to avoid duplicates
2. Use the feature request template
3. Provide clear use cases

## Communication
- For chat: Join our [Gitter](https://matrix.to/#/#autocommitt:gitter.im) community
- For questions: Open a [Discussion](https://github.com/Spartan-71/AutoCommitt/discussions)

Thank you for contributing to AutoCommitt!
